This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536861 - Sync scheduler does not validate bad data
Sync scheduler does not validate bad data
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Charles Crouch
sprint_1
: SubBug
Depends On:
Blocks: rhq_spearhead rhq_core_next
  Show dependency treegraph
 
Reported: 2009-11-11 11:15 EST by Corey Welton
Modified: 2015-02-01 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 13:56:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-11-11 11:15:49 EST
Description of problem:

Sync scheduler does not validate bad data 

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. After creating a content provider and/or associated repo, go to the edit view.
2. Modify cron line to read "0 0 foobar * * ?"
3. Submit
  
Actual results:
format is accepted; stack trace (usually?) thrown in server logs.

Expected results:

Validation.


Additional info:
Comment 1 wes hayutin 2010-02-16 11:53:53 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:59:03 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.